 /*
 * 手太欠
 * 愿这世界都如故事里一样 美好而动人~
 */

Page({

    /**
     * 页面的初始数据
     */
    data: {
        logsArr     : [],      // 提货列表数据
        score       : '',      //总数量
        page        : {},      //分页信息
        lodingStats : false,  //加载状态
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {
        // 获取账户信息
        this.accountInfo()
    },

    /**
     * 获取账户信息
     */
    accountInfo(page) {
        wx.$api.user.score({
            page: page
        }).then(res => {
            let listArr = this.data.logsArr,
                newData = []
            if(page == 1 || page == undefined) listArr = []
            newData = listArr.concat(res.data.logs.data)
            this.setData({
                score       : res.data.score,
                logsArr     : newData,
                page        : res.data.logs.page,
                lodingStats : false
            })
            wx.stopPullDownRefresh()
            
        }).catch(err => { })
    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {
        // 获取提货列表
        this.accountInfo();
    },

    /**
     * 上拉加载
     */
    onReachBottom(){
        this.setData({
            lodingStats: true
        })
        let pageNumber = this.data.page.current
        if(this.data.page.has_more){
            pageNumber++
            // 获取提货列表
            this.accountInfo(pageNumber);
        }
    }
})